OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
MusicDriver_BeMidi Class Reference

The midi player for BeOS. More...

`#include <bemidi.h>`

Inheritance diagram for MusicDriver_BeMidi:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | PlaySong (const char *filename)
| Play a particular song.
void | StopSong ()
| Stop playing the current song.
bool | IsSongPlaying ()
| Are we currently playing a song?
void | SetVolume (byte vol)
| Set the volume, if possible.
const char * | GetName () const
| Get the name of this driver.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from MusicDriver
static MusicDriver * | GetInstance ()
| Get the currently active instance of the music driver.

## Detailed Description

The midi player for BeOS.

Definition at line 18 of file bemidi.h.

## Member Function Documentation

const char* MusicDriver_BeMidi::GetName | ( |  | ) | const
| inline virtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 31 of file bemidi.h.

bool MusicDriver_BeMidi::IsSongPlaying | ( |  | ) |
| virtual

Are we currently playing a song?

Returns
  True if a song is being played.

Implements MusicDriver.

Definition at line 51 of file bemidi.cpp.

References midiSynthFile.

void MusicDriver_BeMidi::PlaySong | ( | const char * | filename | ) |
| virtual

Play a particular song.

Parameters

  filename | The name of file with the song to play.

Implements MusicDriver.

Definition at line 37 of file bemidi.cpp.

References midiSynthFile, and Stop().

void MusicDriver_BeMidi::SetVolume | ( | byte | vol | ) |
| virtual

Set the volume, if possible.

Parameters

  vol | The new volume.

Implements MusicDriver.

Definition at line 56 of file bemidi.cpp.

const char * MusicDriver_BeMidi::Start | ( | const char *const * | parm | ) |
| virtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  NULL if everything went okay, otherwise an error message.

Implements Driver.

Definition at line 27 of file bemidi.cpp.

The documentation for this class was generated from the following files:

- src/music/bemidi.h
- src/music/bemidi.cpp